### Method

# FwupdPlugin Device get_instance_str

#### Declaration [src]

    const gchar*
    fu_device_get_instance_str (
      FuDevice* self,
      const gchar* key
    )

#### Description [src]

Looks up an instance ID by a key.

Available since: | 1.8.15

#### Parameters

`key` | `const gchar*`
| A key, e.g. `REV`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `const gchar*`
| The instance key, or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.